=== vendors/Makefile ===

clean:
	make -C gaisler clean
