=== user/elvis-tiny/debian/changelog ===
elvis-tiny (1.4-7) unstable; urgency=low

  * Link with ncurses4

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 29 Oct 1998 19:14:40 +0100

elvis-tiny (1.4-6) unstable; urgency=low

  * Fixes bugs:
    #22773: elvis-tiny: incorrect manpage permissions

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  5 Oct 1998 13:00:37 +0200

elvis-tiny (1.4-5) unstable; urgency=low

  * Lintian fixes
  * Fixes bugs:
    #12284: elvis-tiny unable to display long lines.
    #14391: /usr/doc/$(PACKAGE)/copyright should not be compressed

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sun, 22 Feb 1998 15:43:36 +0100

elvis-tiny (1.4-4) unstable; urgency=low

  * libc6 version

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 24 Sep 1997 14:05:38 +0200

elvis-tiny (1.4-3) frozen unstable; urgency=high

  * Corrected alternatives priority (0 -> 10).

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sun, 1 Jun 1997 15:55:16 +0200

elvis-tiny (1.4-2) frozen unstable; urgency=high

  * Corrected alternatives priority (99 -> 0).

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 30 May 1997 14:10:28 +0200

elvis-tiny (1.4-1) unstable; urgency=low

  * Initial release of a tiny vi compatible editor.
    (it was uploaded to "Incoming" before with distribution=experimental
     but never got processed - would be nice if that actually worked.)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 20 May 1997 14:38:24 +0200
