=== user/e2fsprogs/debian/control ===
Source: e2fsprogs
Section: base
Priority: required
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: texi2html, texinfo, debhelper (>= 3.0.30)
Standards-Version: 3.5.4

Package: e2fsck-static
Section: admin
Priority: optional
Depends: e2fsprogs (= ${Source-Version})
Recommends: sash | zsh-static | busybox-static | zsh30-static
Architecture: any
Description: A statically-linked version of the ext2 filesystem checker.
 This may be of some help to you if your filesystem gets corrupted enough
 to break the shared libraries used by the dynamically linked checker.
 .
 This binary takes much more space than its dynamic counterpart located
 in e2fsprogs, though.
 .
 You may want to install a statically-linked shell as well, to be able
 to run this program if something like your C library gets corrupted.

Package: comerr-dev
Section: devel
Priority: extra
Depends: ${libcdev:Depends}, libcomerr2
Suggests: doc-base
Conflicts: e2fsprogs (<< 1.10-6)
Architecture: any
Description: The Common Error Description library - headers and static libraries.
 libcomerr is an attempt to present a common error-handling mechanism to
 manipulate the most common form of error code in a fashion that does not
 have the problems identified with mechanisms commonly in use.

Package: ss-dev
Section: devel
Priority: extra
Depends: ${libcdev:Depends}, libss2
Conflicts: e2fsprogs (<< 1.10-6)
Architecture: any
Description: Command-line interface parsing library - headers and static libraries.
 This package includes a tool that parses a command table to generate
 a simple command-line interface parser, the include files needed to
 compile and use it, and the static libs.
 . 
 It was originally inspired by the Multics SubSystem library.

Package: uuid-dev
Section: devel
Priority: extra
Depends: ${libcdev:Depends}, e2fsprogs (= ${Source-Version})
Conflicts: e2fsprogs (<< 1.10-6)
Replaces: e2fslibs-dev (<< 1.15)
Architecture: any
Description: Universally unique id library - headers and static libraries.
 libuuid generates and parses 128-bit universally unique id's (UUID's),
 using a standard which is blessed by both Microsoft and DCE, and is
 being proposed as an internet standard.  See the internet-draft:
 .
                draft-leach-uuids-guids-01.txt
 .
 for more information.

Package: e2fsprogs-bf
Section: devel
Priority: extra
Depends: ${shlibs:Depends}
Conflicts: e2fsprogs
Architecture: any
Description: A stripped-down versions of e2fsprogs, for boot-floppies
 This package is an e2fsprogs package built for a reduced size, so that
 it can help to save space on installation boot-floppies.
 .
 Don't attempt to install this package, it has no support for a couple of
 features you surely want.  Anyway it should refuse to install.

Package: e2fsprogs
Essential: yes
Pre-Depends: ${shlibs:Depends}
Suggests: gpart, parted, e2fsck-static
Conflicts: e2fslibsg, dump (<< 0.4b4-4), quota (<< 1.55-8.1)
Provides: libcomerr2, libss2, libext2fs2, libe2p2, libuuid1
Architecture: any
Description: The EXT2 file system utilities and libraries.
 EXT2 stands for "Extended Filesystem", version 2. It's the main
 filesystem type used for hard disks on Debian and other Linux systems.
 .
 This package contains programs for creating, checking, and maintaining EXT2
 filesystems, and the generic `fsck' wrapper.

Package: e2fslibs-dev
Section: devel
Priority: extra
Depends: ${libcdev:Depends}, comerr-dev, e2fsprogs (= ${Source-Version})
Suggests: doc-base
Provides: ext2fs-dev, e2p-dev
Conflicts: e2fsprogs (<< 1.10-6)
Architecture: any
Description: The headers and static libraries for ext2fs-aware tools-development.
 EXT2FS stands for "Extended Filesystem", version 2. It's the filesystem
 type used for hard disks on Debian and other Linux systems.
 .
 This package contains the headers and shared libraries needed to compile
 ext2fs-aware programs. Only programmers that really manipulate
 features specific to the ext2 filesystem will need this. Most
 programmers will use the generic filesystem-independent interface
 from libc.
 .
 It also contains dev files for the e2p lib used by
 the e2fsprogs, but which is not yet packaged all by itself
 because it lacks documentation. It may also lack some support
 files, by I can't really know until someone uses it...
 .
 libe2p is for user-level e2fsprogs commands.  It's used by dumpe2fs,
 chattr, and lsattr.  Functions in libe2p typically have two
 characteristics (a) don't require that block device containing the
 filesystem be opened directly (functions in libext2fs do), and (b)
 libe2p typically contains printf statements or parse user input, and so
 have more internationalization issues.
